// Arnaud 07.11.2015

include <../doblo-factory.scad>;
include <../lib/doblo-params-repl.scad>;
include <../ext/stl-merge-display.scad>; 

/*Partie 1 - Structure du bas de la fusée */


// Cylindre haut (du bas) de la fusée
color ("white") cyl_block (col=-2, row=-2, up=66.4,bottom_r=4, top_r=3, height=FULL);

// Cylindre bas (du bas) de la fusée

translate([0,0, 66])
color ("white") cylinder (h = 74.5, r1 = 16, r2 = 16, center = true);

// Attache 1 pour réservoir    
     rotate ([90])
     translate([-83.5,-5,12])
color ("white") doblo   (col=10,  row=-10, up=0,  
	 width=1,  length=2, height=HALF, 
	 nibbles_on_off=true, diamonds_on_off=false,
	 scale=LUGO);     
 
// Attache 2 pour réservoir    
     rotate ([270])
     translate([-83.5,-137.5,12])
color ("white") doblo   (col=10,  row=-10, up=0,  
	 width=1,  length=2, height=HALF, 
	 nibbles_on_off=true, diamonds_on_off=false,
	 scale=LUGO);  
     
     // Cylindre qui fait office de support moteur
translate([0,0,22])
color ("white") cylinder (h = 14, r1 = 5, r2 = 16, center = true); 
     
    // Cylindre qui fait office de moteur
translate([0,0,9.5])
color ("white") cylinder (h = 12, r1 = 7, r2 = 4, center = true); 
     

// Base lego pour la fusée
color ("white") doblo (col=-1.5,  row=-1.5, up=0,  
		       width=3,  length=3, height=HALF, 
		       nibbles_on_off=false,
		       diamonds_on_off=false,
		       scale=LUGO);
                       

 